Subject: bug#71380: 30.0.50; Submitting php-ts-mode, new major mode for php

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jun 2024 20:49:24 +0300

> From: Vincenzo Pupillo <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 09 Jun 2024 19:23:05 +0200
> 
> > > > Thanks, but does this replace both patches you sent in a previous
> > > > message?  See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71380#23
> > > > Or does this replace only one of the two, and the other one is still
> > > > needed?
> > > 
> > > Replace only one. The other is still needed. I made a separate patch,
> > > waiting to hear if I should open another bug for html-ts-mode.
> > 
> > Would you mind posting both patches together, updated so that I could
> > install them both?  And note that I just found a strange mistake(?) in
> > the second patch.
> > 
> > Thanks.
> Hi Eli, 
> sorry. I made a mistake with the second patch.
> The warning Andrea reported was actually due to the (require 'html-ts-mode) at 
> the beginning of php-ts-mode.
> I then use a solution similar to elixir-ts-mode, the (require 'html-ts-mode) 
> is done only after checking that the parser exists.

But the patch you posted now doesn't include the HTML part, does it?

is the patch self-contained, or does it still need the second patch?

> There is one problem I don't know how to solve: enabling php-ts-mode, because 
> of the require html-ts-mode, the major mode for html changes from mhtml-mode 
> to html-ts-mode. 
> Can you tell me how to fix this?

Just document this side effect, so that users know.